ruby-cri_2.15.2-1_all.deb


Advertisement

Description

ruby-cri - library for building easy-to-use commandline tools

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename ruby-cri_2.15.2-1_all.deb
Package name ruby-cri
Package version 2.15.2
Package release 1
Package architecture all
Package type deb
Category ruby
Homepage https://github.com/ddfreyne/cri
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 21.03 KB
Installed size 84.00 KB
Cri is a tool to create easy-to-use commandline interfaces in Ruby with
support for subcommands. The central concept in Cri is the command, which has
option definitions as well as code for actually executing itself.

Alternatives

Package Version Architecture Repository
ruby-cri_2.15.2-1_all.deb 2.15.2 all Debian Main
ruby-cri - - -

Requires

Name Value
ruby -
ruby-colored >= 1.2~
ruby-interpreter -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-cri_2.15.2-1_all.deb
Source Package ruby-cri

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-cri deb package:
    # sudo apt-get install ruby-cri

Files

Path
/usr/lib/ruby/vendor_ruby/cri.rb
/usr/lib/ruby/vendor_ruby/cri/argument_list.rb
/usr/lib/ruby/vendor_ruby/cri/command.rb
/usr/lib/ruby/vendor_ruby/cri/command_dsl.rb
/usr/lib/ruby/vendor_ruby/cri/command_runner.rb
/usr/lib/ruby/vendor_ruby/cri/help_renderer.rb
/usr/lib/ruby/vendor_ruby/cri/option_definition.rb
/usr/lib/ruby/vendor_ruby/cri/param_definition.rb
/usr/lib/ruby/vendor_ruby/cri/parser.rb
/usr/lib/ruby/vendor_ruby/cri/platform.rb
/usr/lib/ruby/vendor_ruby/cri/string_formatter.rb
/usr/lib/ruby/vendor_ruby/cri/version.rb
/usr/lib/ruby/vendor_ruby/cri/commands/basic_help.rb
/usr/lib/ruby/vendor_ruby/cri/commands/basic_root.rb
/usr/share/doc/ruby-cri/README.md.gz
/usr/share/doc/ruby-cri/changelog.Debian.gz
/usr/share/doc/ruby-cri/changelog.gz
/usr/share/doc/ruby-cri/copyright
/usr/share/rubygems-integration/all/specifications/cri-2.15.2.gemspec

Changelog

2018-12-21 - Cédric Boutillier <boutil@debian.org>
ruby-cri (2.15.2-1) unstable; urgency=medium
* New upstream version 2.15.2
* Upload to unstable
* Use GitHub page as homepage
2018-11-06 - Cédric Boutillier <boutil@debian.org>
ruby-cri (2.15.1-1~exp1) experimental; urgency=medium
* Move debian/watch to gemwatch.debian.net
* New upstream version 2.15.1
* Bump Standards-Version to 4.2.1 (no changes needed)
* Bump debhelper compatibility level to 11
* Use salsa.debian.org in Vcs-* fields
* README is now markdown. Update privacy-breach.patch accordingly
* Documentation now installed under /usr/share/doc/ruby-cri
* Mark ruby-cri-doc as Multi-Arch: foreign
* Breaks nanoc << 4.9
2017-11-24 - Cédric Boutillier <boutil@debian.org>
ruby-cri (2.10.1-1) unstable; urgency=medium
* New upstream version 2.10.1
* Bump Standards-Version to 4.1.1 (no changes needed)
* Bump Debhelper compatibility level to 10
2017-07-04 - Cédric Boutillier <boutil@debian.org>
ruby-cri (2.9.1-1) unstable; urgency=medium
* New upstream version 2.9.1
* Bump Standards-Version to 4.0.0 (no changes needed)
2017-04-21 - Cédric Boutillier <boutil@debian.org>
ruby-cri (2.8.0-1~exp1) experimental; urgency=medium
* New upstream version 2.8.0
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.8 (no changes needed)
* Run wrap-and-sort on packaging files
* Refresh privacy-breach.patch
2015-08-30 - Antonio Terceiro <terceiro@debian.org>
ruby-cri (2.7.0-2) unstable; urgency=medium
* Team upload.
* Update packaging with a new dh-make-ruby run
- debian/ruby-tests.rake revamped to work against newer infrastructure
(Closes: #796457)
2015-05-25 - Cédric Boutillier <boutil@debian.org>
ruby-cri (2.7.0-1) unstable; urgency=medium
* Imported Upstream version 2.7.0
* refresh privacy-breach.patch
* bump Standards-Version to 3.9.6 (no changes needed)
* use the rake method to run the tests
* invoke directly yard instead of using upstream Rakefile to build the
documentation
2014-06-09 - Cédric Boutillier <boutil@debian.org>
ruby-cri (2.6.1-1) unstable; urgency=medium
* Imported Upstream version 2.6.1
* refresh privacy-breach.patch
2014-04-14 - Cédric Boutillier <boutil@debian.org>
ruby-cri (2.6.0-1) unstable; urgency=medium
* Imported Upstream version 2.6.0
* Add asciidoctor to Build-Depends, now that the README file has a .adoc
extension
* Add privacy-breach.patch to remove remote badges from the README file
2014-02-01 - Cédric Boutillier <boutil@debian.org>
ruby-cri (2.4.1-1) unstable; urgency=medium
* Imported Upstream version 2.4.1
* Bump Standards-Version to 3.9.5 (no changes needed)

See Also

Package Description
ruby-css-parser_1.6.0-1_all.deb Ruby CSS parser library
ruby-cssmin_1.0.3-4_all.deb Ruby library for minifying CSS
ruby-cstruct_1.0.1-2_all.deb simulation of the C language's struct
ruby-csv_3.0.2-1_all.deb CSV reader and writer
ruby-cucumber-core_1.5.0-1_all.deb core library for the Cucumber application
ruby-cucumber-expressions_5.0.13-1_all.deb simple patterns for matching Step Definitions
ruby-cucumber-wire_0.0.1-3_all.deb Wire protocol for Cucumber (a ruby acceptance testing framework)
ruby-curb_0.9.7-1_amd64.deb Ruby libcurl bindings
ruby-curses_1.2.4-1+b1_amd64.deb curses binding for Ruby
ruby-cutest_1.2.1-2_all.deb Run ruby tests independantly
ruby-daemons_1.1.9-2_all.deb Ruby daemons library
ruby-dalli_2.7.9-1_all.deb memcached client library for Ruby
ruby-data-migrate_5.3.1-1_all.deb migrate data alongside schema changes for rake tasks
ruby-database-cleaner_1.7.0-1_all.deb clean databases to ensure a clean state for testing
ruby-dataobjects-mysql_0.10.16-2+b3_amd64.deb MySQL adapter for ruby-dataobjects
Advertisement
Advertisement